hawq-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From adenis...@apache.org
Subject incubator-hawq git commit: HAWQ-1454. Exclude certain jars from Ranger Plugin Service packaging
Date Wed, 10 May 2017 17:27:01 GMT
Repository: incubator-hawq
Updated Branches:
  refs/heads/master 5d54d9afa -> 94a2c65b7


HAWQ-1454. Exclude certain jars from Ranger Plugin Service packaging

this closes #1233


Project: http://git-wip-us.apache.org/repos/asf/incubator-hawq/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-hawq/commit/94a2c65b
Tree: http://git-wip-us.apache.org/repos/asf/incubator-hawq/tree/94a2c65b
Diff: http://git-wip-us.apache.org/repos/asf/incubator-hawq/diff/94a2c65b

Branch: refs/heads/master
Commit: 94a2c65b7f56ea93f0c6b0d5527ef431c4913c20
Parents: 5d54d9a
Author: ljainpivotalio <ljain@pivotal.io>
Authored: Tue May 9 19:08:23 2017 -0700
Committer: Alexander Denissov <adenissov@pivotal.io>
Committed: Wed May 10 10:25:18 2017 -0700

----------------------------------------------------------------------
 ranger-plugin/admin-plugin/pom.xml        |  3 +-
 ranger-plugin/integration/admin/pom.xml   |  2 +-
 ranger-plugin/integration/pom.xml         |  2 +-
 ranger-plugin/integration/service/pom.xml |  2 +-
 ranger-plugin/pom.xml                     |  5 ++-
 ranger-plugin/scripts/build_ranger_rpm.sh | 43 ++++++++++++--------------
 ranger-plugin/service/pom.xml             |  3 +-
 7 files changed, 29 insertions(+), 31 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-hawq/blob/94a2c65b/ranger-plugin/admin-plugin/pom.xml
----------------------------------------------------------------------
diff --git a/ranger-plugin/admin-plugin/pom.xml b/ranger-plugin/admin-plugin/pom.xml
index 22ac044..e4460e1 100644
--- a/ranger-plugin/admin-plugin/pom.xml
+++ b/ranger-plugin/admin-plugin/pom.xml
@@ -20,7 +20,6 @@
          xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
     <modelVersion>4.0.0</modelVersion>
-    <groupId>org.apache.hawq</groupId>
     <artifactId>ranger-plugin-admin</artifactId>
     <packaging>jar</packaging>
     <name>HAWQ Ranger Admin Plugin</name>
@@ -28,7 +27,7 @@
     <parent>
         <groupId>org.apache.hawq</groupId>
         <artifactId>ranger-plugin</artifactId>
-        <version>2.1.0.0</version>
+        <version>2.2.0.0</version>
         <relativePath>..</relativePath>
     </parent>
 

http://git-wip-us.apache.org/repos/asf/incubator-hawq/blob/94a2c65b/ranger-plugin/integration/admin/pom.xml
----------------------------------------------------------------------
diff --git a/ranger-plugin/integration/admin/pom.xml b/ranger-plugin/integration/admin/pom.xml
index 0a81941..3544c6f 100644
--- a/ranger-plugin/integration/admin/pom.xml
+++ b/ranger-plugin/integration/admin/pom.xml
@@ -29,7 +29,7 @@
     <parent>
         <groupId>org.apache.hawq</groupId>
         <artifactId>ranger-plugin-integration</artifactId>
-        <version>2.1.0.0</version>
+        <version>2.2.0.0</version>
         <relativePath>..</relativePath>
     </parent>
 

http://git-wip-us.apache.org/repos/asf/incubator-hawq/blob/94a2c65b/ranger-plugin/integration/pom.xml
----------------------------------------------------------------------
diff --git a/ranger-plugin/integration/pom.xml b/ranger-plugin/integration/pom.xml
index b6aac80..c2f144f 100644
--- a/ranger-plugin/integration/pom.xml
+++ b/ranger-plugin/integration/pom.xml
@@ -29,7 +29,7 @@
     <parent>
         <groupId>org.apache.hawq</groupId>
         <artifactId>ranger-plugin</artifactId>
-        <version>2.1.0.0</version>
+        <version>2.2.0.0</version>
         <relativePath>..</relativePath>
     </parent>
 

http://git-wip-us.apache.org/repos/asf/incubator-hawq/blob/94a2c65b/ranger-plugin/integration/service/pom.xml
----------------------------------------------------------------------
diff --git a/ranger-plugin/integration/service/pom.xml b/ranger-plugin/integration/service/pom.xml
index 34ade8d..aac8027 100644
--- a/ranger-plugin/integration/service/pom.xml
+++ b/ranger-plugin/integration/service/pom.xml
@@ -29,7 +29,7 @@
     <parent>
         <groupId>org.apache.hawq</groupId>
         <artifactId>ranger-plugin-integration</artifactId>
-        <version>2.1.0.0</version>
+        <version>2.2.0.0</version>
         <relativePath>..</relativePath>
     </parent>
 

http://git-wip-us.apache.org/repos/asf/incubator-hawq/blob/94a2c65b/ranger-plugin/pom.xml
----------------------------------------------------------------------
diff --git a/ranger-plugin/pom.xml b/ranger-plugin/pom.xml
index ab3a475..bf2d718 100644
--- a/ranger-plugin/pom.xml
+++ b/ranger-plugin/pom.xml
@@ -22,7 +22,7 @@
     <modelVersion>4.0.0</modelVersion>
     <groupId>org.apache.hawq</groupId>
     <artifactId>ranger-plugin</artifactId>
-    <version>2.1.0.0</version>
+    <version>2.2.0.0</version>
     <packaging>pom</packaging>
     <name>HAWQ Ranger Plugin</name>
     <description>HAWQ Ranger Plugin</description>
@@ -162,6 +162,9 @@
                             <sources>
                                 <source>
                                     <location>service/target/ranger-plugin-service-${project.version}/WEB-INF/lib</location>
+                                    <excludes>
+                                        <exclude>jersey-*-1.9.jar</exclude>
+                                    </excludes>
                                 </source>
                             </sources>
                         </mapping>

http://git-wip-us.apache.org/repos/asf/incubator-hawq/blob/94a2c65b/ranger-plugin/scripts/build_ranger_rpm.sh
----------------------------------------------------------------------
diff --git a/ranger-plugin/scripts/build_ranger_rpm.sh b/ranger-plugin/scripts/build_ranger_rpm.sh
index 32f6fa1..dbda851 100755
--- a/ranger-plugin/scripts/build_ranger_rpm.sh
+++ b/ranger-plugin/scripts/build_ranger_rpm.sh
@@ -16,38 +16,35 @@
 # specific language governing permissions and limitations
 # under the License.
 
+set -eox pipefail
+
 MVN_OPTS="-Dorg.slf4j.simpleLogger.log.org.apache.maven.cli.transfer.Slf4jMavenTransferListener=warn
-B -e"
 
-# Set HAWQ ranger-plugin rpm build number to 1 as default
-BUILD_NUMBER=1
-BUILD_OPTS="-Drelease.version=${BUILD_NUMBER}"
-BUILD_OPTS="${BUILD_OPTS} -Dbuild.suffix= -Dhawq.dep.name=apache-hawq"
-BUILD_OPTS="${BUILD_OPTS} -Ddestination.dir=/usr/local/apache-hawq/ranger"
+# Set HAWQ ranger-plugin rpm build number to 777 as default
+BUILD_NUMBER=${BUILD_NUMBER:-777}
 
 # Get current HAWQ releave version number.
-if [ -z "${HAWQ_RELEASE_VERSION}" ]; then
-    HAWQ_RELEASE_VERSION=$(cat ../getversion| grep ^GP_VERSION | cut -d '=' -f2 | sed 's|"||g'
| cut -d '-' -f1)
+if [ -f ../getversion ] ; then
+  HAWQ_RELEASE_VERSION=$(cat ../getversion| grep ^GP_VERSION | cut -d '=' -f2 | sed 's|"||g'
| cut -d '-' -f1)
+else
+  HAWQ_RELEASE_VERSION=$(mvn ${MVN_OPTS} org.apache.maven.plugins:maven-help-plugin:2.2:evaluate
\
+                        -Dexpression=project.version | grep -Ev "^\[INFO\]")
 fi
+HAWQ_VERSION=${HAWQ_VERSION:-${HAWQ_RELEASE_VERSION}}
 
-# Set HAWQ ranger-plugin.
-mvn ${MVN_OPTS} versions:set -DnewVersion=${HAWQ_RELEASE_VERSION}
-if [ $? != 0 ]; then
-    echo "Set HAWQ ranger-plugin failed."
-    exit $?
-fi
+# Set build options
+HAWQ_DEP_NAME=${HAWQ_DEP_NAME:-apache-hawq}
+BUILD_SUFFIX=${BUILD_SUFFIX:-}
+BUILD_OPTS="-Drelease.version=${BUILD_NUMBER} -Dbuild.suffix=${BUILD_SUFFIX} -Dhawq.dep.name=${HAWQ_DEP_NAME}"
+
+# set plugin version
+mvn ${MVN_OPTS} versions:set -DnewVersion=${HAWQ_VERSION}
 
 # generate jar and war files.
 mvn ${MVN_OPTS} clean package
-if [ $? != 0 ]; then
-    echo "Generate HAWQ ranger-plugin jar and war files failed."
-    exit $?
-fi
 
 # build rpm
-mvn ${MVN_OPTS} -N ${BUILD_OPTS} install
-if [ $? != 0 ]; then
-    echo "Build HAWQ ranger-plugin rpm package failed."
-    exit $?
-fi
+mvn ${MVN_OPTS} -N ${BUILD_OPTS} rpm:rpm
 
-exit 0
+# verify the size of plugin rpm
+find target/rpm -name *.rpm | xargs ls -l

http://git-wip-us.apache.org/repos/asf/incubator-hawq/blob/94a2c65b/ranger-plugin/service/pom.xml
----------------------------------------------------------------------
diff --git a/ranger-plugin/service/pom.xml b/ranger-plugin/service/pom.xml
index 1633f68..ed4ccdb 100644
--- a/ranger-plugin/service/pom.xml
+++ b/ranger-plugin/service/pom.xml
@@ -20,7 +20,6 @@
          xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
     <modelVersion>4.0.0</modelVersion>
-    <groupId>org.apache.hawq</groupId>
     <artifactId>ranger-plugin-service</artifactId>
     <packaging>war</packaging>
     <name>HAWQ Ranger Service</name>
@@ -28,7 +27,7 @@
     <parent>
         <groupId>org.apache.hawq</groupId>
         <artifactId>ranger-plugin</artifactId>
-        <version>2.1.0.0</version>
+        <version>2.2.0.0</version>
         <relativePath>..</relativePath>
     </parent>
     <build>


Mime
View raw message